Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.compiler
Interface Compiler

All Known Implementing Classes:
  AbstractCompiler

public interface Compiler

This interface defines a compiler's functionality for all (Java-based) compiled languages

Since:
  2.0
Version:
  $Revision: 1.2 $ $Date: 2002/06/06 14:35:58 $
Author:
  Davanum Srinivas, Stefano Mazzocchi

Method Summary
`void` | `addFile(java.lang.String file)` Set the name of the file containing the source program
`boolean` | `compile()` Compile a source file yielding a loadable program file.
`java.util.List` | `getErrors()` Return the list of errors generated by this compilation
`void` | `setClasspath(java.lang.String classpath)` Set the classpath to be used for this compilation
`void` | `setDestination(java.lang.String destDir)` Set the name of the directory to contain the resulting object program file
`void` | `setEncoding(java.lang.String encoding)` Set the encoding of the input source file or `null` to use the platform's default encoding
`void` | `setSource(java.lang.String srcDir)` Set the name of the directory containing the source program file

Method Detail

### addFile

    public void addFile(java.lang.String file)

  Set the name of the file containing the source program
  Parameters:
    `file` - The name of the file containing the source program

### setSource

    public void setSource(java.lang.String srcDir)

  Set the name of the directory containing the source program file
  Parameters:
    `srcDir` - The name of the directory containing the source program file

### setDestination

    public void setDestination(java.lang.String destDir)

  Set the name of the directory to contain the resulting object program file
  Parameters:
    `destDir` - The name of the directory to contain the resulting object program file

### setClasspath

    public void setClasspath(java.lang.String classpath)

  Set the classpath to be used for this compilation
  Parameters:
    `classpath` - The classpath to be used for this compilation

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Set the encoding of the input source file or `null` to use the platform's default encoding
  Parameters:
    `encoding` - The encoding of the input source file or `null` to use the platform's default encoding

### compile

    public boolean compile()
                    throws java.io.IOException

  Compile a source file yielding a loadable program file.
  Parameters:
    `filename` - The object program base file name
    `baseDirectory` - The directory containing the object program file
    `encoding` - The encoding expected in the source file or `null` if it is the platform's default encoding
  Throws:
    `LanguageException` - If an error occurs during compilation

### getErrors

    public java.util.List getErrors()
                             throws java.io.IOException

  Return the list of errors generated by this compilation
  Returns:
    The list of errors generated by this compilation
  Throws:
    `java.io.IOException` - If an error occurs during message collection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.